Bug 802503 - sportsclub-domain.jar not found in JBDS
sportsclub-domain.jar not found in JBDS
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Spring, Examples (Show other bugs)
2.0.0.ER3
Unspecified Unspecified
low Severity low
: ---
: 2.4.0
Assigned To: Rodney Russ
Tomas Repel
jbds sportsclub
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 13:10 EDT by Karel Piwko
Modified: 2013-07-31 09:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When deploying SportThe JAR file sportsclub-domain.jar cannot be resolved to persistence.xml in sportsclub-jpa-dao/src/main/resources/META-INF. This does not influence the application itself.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 21:57:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBIDE-11534 Major Open Wrong error on <jar-file/> option in multi-module EAR 2014-01-29 11:55:05 EST
JBoss Issue Tracker WFK2-79 Minor New sportsclub-domain.jar not found in JBDS 2014-01-29 11:55:06 EST

  None (edit)
Description Karel Piwko 2012-03-12 13:10:12 EDT
Description of problem:

Description	Resource	Path	Location	Type
JAR file "sportsclub-domain.jar" cannot be resolved	persistence.xml	/sportsclub-jpa-dao/src/main/resources/META-INF	line 5	JPA Problem


Version-Release number of selected component (if applicable):

Spring 2.5, Spring 3.0, Spring 3.1

How reproducible:

Always

Steps to Reproduce:
1. Import Spring example into JBDS 5.Beta1e
  
Actual results:

Error marker occurs.

Expected results:

There are no errors in the imported example

Additional info:
Comment 1 Marius Bogoevici 2012-03-12 16:17:29 EDT
Looks like an Eclipse issue
Comment 2 Rebecca Newton 2012-03-13 01:15:05 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The JAR file sportsclub-domain.jar cannot be resolved to persistence.xml/sportsclub-jpa-dao/src/main/resources/META-INF.
Comment 3 Karel Piwko 2012-03-13 12:45:15 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-The JAR file sportsclub-domain.jar cannot be resolved to persistence.xml/sportsclub-jpa-dao/src/main/resources/META-INF.+The JAR file sportsclub-domain.jar cannot be resolved to  persistence.xml in sportsclub-jpa-dao/src/main/resources/META-INF. This does not influence the application itself.
Comment 4 Marius Bogoevici 2012-04-12 16:18:00 EDT
Added matching JBIDE defect.
Comment 5 JBoss JIRA Server 2012-04-22 02:47:59 EDT
Max Rydahl Andersen <max.andersen@redhat.com> made a comment on jira JBIDE-11534

Could we please get an example of a project that has this issue?
Comment 10 Max Rydahl Andersen 2012-06-04 10:56:00 EDT
please give it on JBIDE-11534 and somewhere Exadel can work on it too. (download.devel.redhat.com requires vpn)

Is there no matching community example we can use ?
Comment 11 Tomas Repel 2012-06-04 11:29:08 EDT
I've just tried to import the sportsclub example from https://github.com/snowdrop/snowdrop-examples. The error occurs here too.
Comment 12 JBoss JIRA Server 2012-06-05 06:58:00 EDT
Karel Piwko <kpiwko@redhat.com> made a comment on jira JBIDE-11534

Max et all,

Sportsclub from https://github.com/snowdrop/snowdrop-examples has the same issue, as mentioned in bz.
Comment 13 JBoss JIRA Server 2012-06-14 07:31:37 EDT
Dmitry Geraskov <dgeraskov@exadel.com> made a comment on jira JBIDE-11534

In the patch we check if there is a project in classpath with the same name as jar and don't show problem marker in this case
Comment 15 Marek Novotny 2012-11-06 12:00:04 EST
changing status as upstream issue is not resolved yet
Comment 17 Karel Piwko 2013-04-19 07:36:55 EDT
Marking as RN not required. This is a minor issue.
Comment 19 Joshua Wilson 2013-07-22 21:57:56 EDT
Migrated to JIRA. https://issues.jboss.org/browse/WFK2-79

Note You need to log in before you can comment on or make changes to this bug.